// ICdeBinder.aidl
package com.letv.tv.aidl;

import com.letv.tv.aidl.ICdeCallback;

// Declare any non-default types here with import statements

// cde binder aidl

interface ICdeBinder {

    // whether cde is ready
    boolean isReady();

    // start cde
    void startCde();

    // stop cde
    void stopCde();

    // stop play rul
    void stopPlay(String path);

    // get linkshell url
    String getLinkShellUrl(String path);

    // get playurl for p2p
    String getPlayUrlFromP2p(String path, String taskId, boolean isAppendM3U8, int startPos);

    // get live play url for p2p
    String getLivePlayUrlFromP2p(String path);

    // register cde callback
    void registerCdeCallback(ICdeCallback callback);

    // unregister cde callback
    void unregisterCdeCallback(ICdeCallback callback);
}
